package com.template.services;

import com.template.model.pojo.SmartDevice;
import com.template.model.pojo.SmartDevice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-26
 */
public interface SmartDeviceService extends IService<SmartDevice> {
    int insertSmartDevice(SmartDevice rns);

    int updateSmartDevice(SmartDevice rns);

    PageUtils<SmartDevice> queryPageSmartDevices(int currentPage, int pageCount, String name);

    int deleteSmartDeviceById(int id);

    SmartDevice getSmartById(int id);

    List<SmartDevice> queryOnLineDevice();

    SmartDevice queryDeviceByNum(String num);
}
